%define name smeserver-docker
%define version 0.4
%define release 3%{?dist}
Summary: Contrib to manage basic docker setup
Name: %{name}
Version: %{version}
Release: %{release}
License: GNU GPL version 2
URL: http://www.docker.com/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-docker-0.4-containerd-db-entry.patch
Patch2: smeserver-docker-0.4-update-createlinks1.patch

BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires:  e-smith-release >= 10.0
Requires:  docker-ce >= 20.10
AutoReqProv: no

%description
Docker is an open-source project that automates the deployment of applications inside software containers

%changelog
* Tue Jul 12 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 0.4-3.sme
- Fix some createlink errors [SME: 11892]
- Update daemon.json and 50koozali.conf templates

* Thu Mar 10 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 0.4-2.sme
- Add containerd db entries [SME: 11892]

* Thu Mar 10 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 0.4-1.sme
- First import to Koozali SME Server v10 [SME: 11892]
- Add basic templates

* Fri Aug 17 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.2-1
- Add template directory for docker-compose.yml
- You can then add gragments from your own contrib.

* Sun Apr 08 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-5
- Missed a # in /etc/sysconfig/docker

* Tue Mar 27 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-4
- Missed a # in the spec file

* Thu Mar 15 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-3
- add rc.7 service links for docker and mongod
- Fix prelink error on docker-compose see https://github.com/docker/compose/issues/
- fix errant semi colon in createlinks
- move demo docker file out of configs so it doesn't overwrite originals

* Sun Mar 11 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-2
- update spec file to set props on docker-compose
- mover docker-compose to /usr/bin

* Sun Mar 4 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-1
- initial release
- basic file layout
- removed httpd templates - need to create your own

%prep
%setup

%patch1 -p1
%patch2 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist

/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist 
echo "%doc COPYING LICENSE" >> %{name}-%{version}-filelist


%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%pre
%preun
%post

# Add config directories if they don't exist
if [[ ! -d /home/e-smith/files/docker/configs ]]; then
    mkdir -p /home/e-smith/files/docker/configs;
fi

if [[ ! -d /usr/lib/systemd/system/docker.service.d ]]; then
    mkdir -p /usr/lib/systemd/system/docker.service.d;
fi

if [[ ! -d /etc/docker ]]; then
    mkdir -p /etc/docker;
fi


echo "see https://wiki.contribs.org/Docker"
echo "Please run signal-post-upgrade;signal-event reboot"

%postun
#/sbin/e-smith/expand-template /etc/rc.d/init.d/masq
#/sbin/e-smith/expand-template /etc/inittab
#/sbin/init q
